package com.red.circle.order.inner.model.enums;

import java.util.Objects;

/**
 * 支付应用商品类型.
 *
 * @author pengliang on 2021/12/16
 */
public enum PayApplicationCommodityType {
  /**
   * 金币.
   */
  GOLD,
  /**
   * 货运金币.
   */
  FREIGHT_GOLD,

  /**
   * 超级金币代理
   */
  FREIGHT_GOLD_SUPER;

  public boolean eq(String key) {
    return Objects.equals(key, this.name());
  }
}
